OpenMS: ProteinHitVisualizer Class Reference

| OpenMS 2.5.0

Public Slots | Public Member Functions | Protected Slots | Protected Member Functions | List of all members
ProteinHitVisualizer Class Reference

Class that displays all meta information for ProteinHit objects. More...

`#include <OpenMS/VISUAL/VISUALIZER/ProteinHitVisualizer.h>`

Inheritance diagram for ProteinHitVisualizer:

## Public Slots

void | store () override
Public Slots inherited from BaseVisualizerGUI
virtual void | store ()=0
| Saves the changes made in the GUI to the object. More...

## Public Member Functions

| ProteinHitVisualizer (bool editable=false, QWidget *parent=nullptr)
| Constructor. More...
Public Member Functions inherited from BaseVisualizerGUI
| BaseVisualizerGUI (bool editable=false, QWidget *parent=nullptr)
| Constructor. More...
bool | isEditable () const
| Returns if the values are editable. More...
Public Member Functions inherited from BaseVisualizer< ProteinHit >
void | load (ProteinHit &o)
| Loads the object that is to be edited. More...
virtual | ~BaseVisualizer ()

## Protected Slots

void | undo_ ()
| Undo the changes made in the GUI. More...

## Protected Member Functions

void | update_ () override
| Updates the GUI from the temp_ variable. More...
Protected Member Functions inherited from BaseVisualizerGUI
void | addLabel_ (QString label)
| Adds a label to the grid layout. More...
void | addLabel_ (QString label, UInt row)
| Adds a label to a certain row. More...
void | addLineEdit_ (QLineEdit *&ptr, QString label)
| Adds a line edit field with label to the grid layout. More...
void | addIntLineEdit_ (QLineEdit *&ptr, QString label)
| Adds a line edit field to the grid layout including a int validator. More...
void | addDoubleLineEdit_ (QLineEdit *&ptr, QString label)
| Adds a line edit field to the grid layout including a double validator. More...
void | addLineEditButton_ (QString label, QLineEdit *&ptr1, QPushButton *&ptr2, QString buttonlabel)
| Adds a line edit field with label and button to the next free position in the grid. More...
void | addListView_ (QListWidget *&ptr, QString label)
| Adds a list edit field to the grid layout. More...
void | addTextEdit_ (QTextEdit *&ptr, QString label)
| Adds a text edit field to the grid layout. More...
void | addComboBox_ (QComboBox *&ptr, QString label)
| Adds a drop-down field to the grid layout. More...
void | addBooleanComboBox_ (QComboBox *&ptr, QString label)
| Adds a boolean drop-down field to the grid layout ( 'true'=1, 'false'=0 ). More...
void | fillComboBox_ (QComboBox *&ptr, const std::string *items, int item_count)
| Fills a combo box with string `items` (the number of strings is determined by `item_count`). More...
void | addVSpacer_ ()
| Adds vertical spacer. More...
void | addButton_ (QPushButton *&ptr, QString label)
| Adds a button to the next free position in the grid. More...
void | add2Buttons_ (QPushButton *&ptr1, QString label1, QPushButton *&ptr2, QString label2)
| Adds two buttons in a row. More...
void | addSeparator_ ()
| Adds a horizontal line as a separator. More...
void | finishAdding_ ()
| Adds buttons common to all visualizers. More...

## Protected Attributes

Edit fields and buttons
QLineEdit * | proteinhit_score_
QLineEdit * | proteinhit_rank_
QLineEdit * | proteinhit_accession_
QTextEdit * | proteinhit_sequence_
Protected Attributes inherited from BaseVisualizerGUI
QPushButton * | undo_button_
| Undo button. More...
QGridLayout * | mainlayout_
| The main layout. More...
UInt | row_
| Counter for the current grid row. More...
bool | editable_
| Edit flag. More...
Protected Attributes inherited from BaseVisualizer< ProteinHit >
ProteinHit * | ptr_
| Pointer to the object that is currently edited. More...
ProteinHit | temp_
| Copy of current object used to restore the original values. More...

## Additional Inherited Members

Signals inherited from BaseVisualizerGUI
void | sendStatus (std::string status)
| Sends a status message, if date is not in proper format. More...

## Detailed Description

Class that displays all meta information for ProteinHit objects.

This class provides all functionality to view the meta information of an object of type ProteinHit.

## Constructor & Destructor Documentation

## ◆ ProteinHitVisualizer()

ProteinHitVisualizer | ( | bool | editable = `false`,
|  | QWidget * | parent = `nullptr`
| ) |  |

Constructor.

## Member Function Documentation

## ◆ store

void store | ( |  | ) |

overrideslot

## ◆ undo_

void undo_ | ( |  | ) |

protectedslot

Undo the changes made in the GUI.

## ◆ update_()

void update_ | ( |  | ) |

overrideprotectedvirtual

Updates the GUI from the temp_ variable.

Reimplemented from BaseVisualizer< ProteinHit >.

## Member Data Documentation

## ◆ proteinhit_accession_

QLineEdit* proteinhit_accession_

protected

## ◆ proteinhit_rank_

QLineEdit* proteinhit_rank_

protected

## ◆ proteinhit_score_

QLineEdit* proteinhit_score_

protected

## ◆ proteinhit_sequence_

QTextEdit* proteinhit_sequence_

protected